﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using Models;

namespace xamGridSorting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Item> Items { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            Items = new ObservableCollection<Item>();
            for (int i = 0; i <= 10; i++)
            {
                Items.Add(new Item {Side = "side" + i, CreatedOn = DateTime.Now});
            }

            xamGrid.ItemsSource = Items;
        }
    }

    public class Item : ObservableModel
    {
        public string Side { get; set; }
        public DateTime CreatedOn { get; set; }
    }
}
